For Developers
List Application Origin Policies
GET https://ed.link/api/v2/teams/:team_id/applications/:application_id/origin-policies
Convenience endpoint that returns the origin policy/policies associated specifically with the specified application.
Permissions
Requires the origin_policies.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:application_id | UUID | Yes | The ID of the application. |
Sample Request
const response = await axios.get(
`https://ed.link/api/v2/teams/${team_id}/applications/${application_id}/origin-policies`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": [
{
"id": "7fa194a2-1982-4f91-8841-59128aa10234",
"type": "application",
"evaluation_mode": "enforcing",
"ip_default_outcome": "denied",
"geo_default_outcome": "allowed",
"vpn_outcome": "denied",
"tor_outcome": "denied",
"team_id": "6a9e99a8-e165-4d0d-9b7d-6062a4be682d",
"configuration": {
"application_id": "035d6dd6-1569-47b2-8ed8-63435be58078"
}
}
]
}
